From 9b63a7fc5d1dce6d254aec0abe412f2c1cd5f889 Mon Sep 17 00:00:00 2001
From: Akenteva Anna <a.akenteva@postgrespro.ru>
Date: Thu, 16 Nov 2017 13:25:29 +0300
Subject: [PATCH] Fixed check_data_dir in pg_upgrade/exec.c

Changed using global variables (old_cluster and new_cluster) into
using the argument of the check_data_dir function.
---
 src/bin/pg_upgrade/exec.c | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

diff --git a/src/bin/pg_upgrade/exec.c b/src/bin/pg_upgrade/exec.c
index 810a5a0..f5cd74f 100644
--- a/src/bin/pg_upgrade/exec.c
+++ b/src/bin/pg_upgrade/exec.c
@@ -331,9 +331,8 @@ check_data_dir(ClusterInfo *cluster)
 {
 	const char *pg_data = cluster->pgdata;
 
-	/* get old and new cluster versions */
-	old_cluster.major_version = get_major_server_version(&old_cluster);
-	new_cluster.major_version = get_major_server_version(&new_cluster);
+	/* get the cluster version */
+	cluster->major_version = get_major_server_version(cluster);
 
 	check_single_dir(pg_data, "");
 	check_single_dir(pg_data, "base");
-- 
2.7.4

